mm  = 1e-3;
Qtot = -0.1;
nps = 100000;
Z = 70*mm;

Eo = 100e3;
G  = 1-qe*Eo/(me*c*c);
GB = sqrt(G^2-1);
beta = sqrt(1-1.0/(G*G));
pp("G", G);
pp("beta", beta);
pp("av arrive time: ", Z/(c*beta));

setparticles("beam", nps, me, qe, Qtot);
setrxydist("beam","u", 1.25*mm, 2.5*mm);
setphidist("beam", "u", 0, 2*pi);
setzdist("beam", "u",  0, 10*mm);
setGBrxydist("beam", "u" ,0, 0);
setGBphidist("beam", "u" ,0, 0);
setGdist("beam", "u" ,G, 0);

#PrintParticlesInfoZ("WCS", "z", 70*mm, 0.5*mm, "beam");
PrintParticlesInfoZ("wcs", "I", Z, "beam");

screen("wcs", "I", Z);
zminmax("wcs", "I", -100*mm, 210*mm);
